Skip to main content
POST

Scan API

Update history v2

OpenAPISince 0.5.10Changed 0.6.0
Returns the update history in ascending order, paged, from ledger begin or optionally starting after a record time. Compared to /v1/updates, the /v2/updates removes the offset field in responses, which was hardcoded to 1 in /v1/updates for compatibility, and is now removed.

Protocol Details

Operation IDgetUpdateHistoryV2
Published0.7.4
SpecificationDownload OpenAPI

Inputs

Request body

application/json
object
OpenAPI type: UpdateHistoryRequestAfter.
number
required
OpenAPI type: integer (int32).The maximum number of transactions returned for this request.
object
OpenAPI type: DamlValueEncoding.How daml values should be encoded in the response. “compact_json” is a compact, human-readable JSON encoding. It is the same encoding as the one used in the HTTP JSON API or the JavaScript codegen. “protobuf_json” is a verbose JSON encoding that is more difficult to parse, but contains type information, i.e., the values can be parsed losslessly without having access to the Daml source code. Optional and defaults to “compact_json”.

Outputs

200

application/json
UpdateHistoryItemV2[]
required

400

application/json
string
required

500

application/json
string
required

History

Changed0.6.0

The POST /v2/updates operation changed in this snapshot.

Changed0.5.17

The POST /v2/updates operation changed in this snapshot.

Introduced0.5.10